Bug 52201 - Code cleaning in rendering/mathml/RenderMathMLFraction.cpp
Summary: Code cleaning in rendering/mathml/RenderMathMLFraction.cpp
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.6
: P2 Normal
Assignee: Patrick R. Gansterer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-11 02:45 PST by François Sausset
Modified: 2011-01-21 11:52 PST (History)
9 users (show)

See Also:


Attachments
Patch (2.45 KB, patch)
2011-01-11 02:48 PST, François Sausset
no flags Details | Formatted Diff | Diff
Patch (2.52 KB, patch)
2011-01-14 05:03 PST, Patrick R. Gansterer
levin: review-
Details | Formatted Diff | Diff
Patch (2.52 KB, patch)
2011-01-21 05:34 PST, Patrick R. Gansterer
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description François Sausset 2011-01-11 02:45:26 PST
Replace unneeded doubles by floats and remove unneeded casts.
Comment 1 François Sausset 2011-01-11 02:48:28 PST
Created attachment 78506 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-01-11 03:01:13 PST
Comment on attachment 78506 [details]
Patch

OK.  rs=me.
Comment 3 WebKit Commit Bot 2011-01-11 04:44:24 PST
Comment on attachment 78506 [details]
Patch

Clearing flags on attachment: 78506

Committed r75487: <http://trac.webkit.org/changeset/75487>
Comment 4 WebKit Commit Bot 2011-01-11 04:44:30 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Mark Rowe (bdash) 2011-01-11 05:18:38 PST
Rolled out in r75490 since it broke the 32-bit build.
Comment 6 Patrick R. Gansterer 2011-01-14 05:03:50 PST
Created attachment 78927 [details]
Patch

I wanted to fix this on trunk, but mrowe was faster with rollout ;-)
Comment 7 WebKit Review Bot 2011-01-14 05:08:20 PST
Attachment 78927 [details] did not build on gtk:
Build output: http://queues.webkit.org/results/7599036
Comment 8 Build Bot 2011-01-14 05:23:49 PST
Attachment 78927 [details] did not build on win:
Build output: http://queues.webkit.org/results/7518034
Comment 9 WebKit Review Bot 2011-01-14 05:42:36 PST
Attachment 78927 [details] did not build on mac:
Build output: http://queues.webkit.org/results/7581037
Comment 10 David Levin 2011-01-14 08:05:54 PST
Comment on attachment 78927 [details]
Patch

EWS build breaks need to be fixed.
Comment 11 Patrick R. Gansterer 2011-01-21 05:34:04 PST
Created attachment 79726 [details]
Patch
Comment 12 Darin Adler 2011-01-21 11:01:42 PST
Comment on attachment 79726 [details]
Patch

Looks fine, although I don’t think the "f" suffixes are needed. They do make the constants into float constants, but since they are initializers for float I know of no significant benefit to them being those. In fact, for integral values I suggest omitting the decimal point as well.
Comment 13 Patrick R. Gansterer 2011-01-21 11:14:51 PST
(In reply to comment #12)
> (From update of attachment 79726 [details])
> Looks fine, although I don’t think the "f" suffixes are needed. They do make the constants into float constants, but since they are initializers for float I know of no significant benefit to them being those. In fact, for integral values I suggest omitting the decimal point as well.
We need the "f" suffix on all numbers. Otherwise some compilers complain. :-/
Comment 14 WebKit Commit Bot 2011-01-21 11:27:56 PST
Comment on attachment 79726 [details]
Patch

Clearing flags on attachment: 79726

Committed r76368: <http://trac.webkit.org/changeset/76368>
Comment 15 WebKit Commit Bot 2011-01-21 11:28:02 PST
All reviewed patches have been landed.  Closing bug.
Comment 16 WebKit Review Bot 2011-01-21 11:47:14 PST
http://trac.webkit.org/changeset/76368 might have broken Leopard Intel Debug (Build)
Comment 17 Darin Adler 2011-01-21 11:52:18 PST
This broke the build on Leopard because of mixing double with float.

Fixed in http://trac.webkit.org/changeset/76375